Skip to content

Add an Excess Money Account

Request

If a balance goes over the regulatory hold limit, excess funds are automatically moved to another account at the end of the day.

Use this endpoint to specify a recipient where excess money will be transferred.

Primarily used for Singapore and Malaysia customers.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
recipientIdinteger, (int64)required

ID of the recipient for excess money transfers.

Example:148393305
curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/excess-money-account' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "recipientId": 148393305
  }'

Responses

OK - Excess money account configured successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
userProfileIdinteger, (int64)

ID of the profile.

Example:12321323
recipientIdinteger, (int64)

ID of the recipient for excess money transfers.

Example:148393305
Response
{ "userProfileId": 12321323, "recipientId": 148393305 }